- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Communicable Class Reference

Inheritance diagram for Communicable:

List of all members.

## Public Member Functions
| Communicable ()
virtual | ~Communicable ()
COMM_ID | getKey ()
void | lock ()
void | unlock ()
void | stop ()
void | resume ()
## Protected Attributes
COMM_ID | key
sem_t | sem_lock
sem_t | sem_stop
## Static Protected Attributes
static unsigned | num_comm = 0

## Detailed Description

Definition at line 44 of file communicable.h.

The documentation for this class was generated from the following files:

- communicable.h
- communicable.cpp